View Issue Details

IDProjectCategoryView StatusLast Update
0021887LazarusOtherpublic2012-05-03 12:21
ReporterJanusz TomczakAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0021887: SynEdit: failed to add part Line Overview
DescriptionI can't add part Line Overview.
In window "Editing SynEdit1.Parts" => Line Overview => Add => Error: List index(-1) out of bounds.
TagsNo tags attached.
Fixed in Revision37095
LazTarget1.2
Widgetset
Attached Files

Activities

Janusz Tomczak

2012-04-29 17:00

reporter   ~0059098

OS: Windows 7

Martin Friebe

2012-04-29 17:33

manager   ~0059100

The line overview gutter needs additional setup.
This may not be ready (for use in designer) for 1.0 release.

The Gutter may need to be hidden from designer in 1.0.

It is available in code. There will be no documentation, as it may still change.

See ide/SourceSynEditor.pas for how to use in code.

Martin Friebe

2012-04-30 00:14

manager   ~0059119

- The crash is fixed in r37095
- In r37096 the OverviewGutterPart is hidden from the designer
Both will be merged to the fixes branch (upcoming release) in the coming weeks

You can compile Lazarus with DesignSynGutterLineOverview defined. Then it will be shown in the designer.

However the designer is not complete. It can not configure the OverviewGutterPart. So if you add it, it will be empty.

You can use it in code. But it may get rewritten in future (may be distant future), and you must then adapt your code.

Further discussions please on the mail list or forum

Issue History

Date Modified Username Field Change
2012-04-29 16:23 Janusz Tomczak New Issue
2012-04-29 17:00 Janusz Tomczak Note Added: 0059098
2012-04-29 17:33 Martin Friebe LazTarget => 1.2
2012-04-29 17:33 Martin Friebe Note Added: 0059100
2012-04-29 17:33 Martin Friebe Assigned To => Martin Friebe
2012-04-29 17:33 Martin Friebe Status new => assigned
2012-04-29 17:33 Martin Friebe Target Version => 1.2.0
2012-04-29 17:34 Martin Friebe Category LCL => Other
2012-04-30 00:14 Martin Friebe Fixed in Revision => 37095
2012-04-30 00:14 Martin Friebe Status assigned => resolved
2012-04-30 00:14 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-04-30 00:14 Martin Friebe Resolution open => fixed
2012-04-30 00:14 Martin Friebe Note Added: 0059119
2012-05-03 12:21 Janusz Tomczak Status resolved => closed